package br.livroandroid.utils;

import android.annotation.SuppressLint;
import android.app.Activity;
import android.app.Notification;
import android.app.Notification.Builder;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.content.Context;
import android.content.Intent;
import android.os.Build;

/**
 * Classe auxiliar para criar uma notificao
 * 
 * @author ricardo
 * 
 */
public class NotificationUtil {

	@SuppressLint("NewApi")
	@SuppressWarnings("deprecation")
	public static void create(Context context,CharSequence tickerText, CharSequence title, CharSequence message, int icon, int id,Intent intent) {

		// PendingIntent para executar a intent ao selecionar a notificao
		PendingIntent p = PendingIntent.getActivity(context, 0, intent, 0);
		
		Notification n = null;

		int apiLevel = Build.VERSION.SDK_INT;
		if(apiLevel >= 11) {
			Builder builder = new Notification.Builder(context)
	        .setContentTitle(tickerText)
	        .setContentText(message)
	        .setSmallIcon(icon)
	        .setContentIntent(p);

			if(apiLevel >= 17) {
				// Android 4.2
				n = builder.build();
			} else {
				// Android 3.x
				n = builder.getNotification();
			}
		} else {
			// Android 2.2
			n = new Notification(icon, tickerText, System.currentTimeMillis());

			// Informaes
			n.setLatestEventInfo(context, title, message, p);	
		}

		// id (numero nico) que identifica esta notificao
		NotificationManager nm = (NotificationManager) context.getSystemService(Activity.NOTIFICATION_SERVICE);
		nm.notify(id, n);
	}

	public static void cancell(Context context, int id) {
		NotificationManager nm = (NotificationManager) context.getSystemService(Activity.NOTIFICATION_SERVICE);
		nm.cancel(id);
	}
}
