package br.livro.android.cap13;

import android.os.AsyncTask;
import android.util.Log;
import android.widget.TextView;

/**
 * Demonstra a classe AsyncTask
 * 
 * @author Ricardo Lecheta
 *
 */
public class SomaComAsyncTask extends ExemploBaseSoma  {
	@Override
	protected void somar(final int n1, final int n2) {
		final TextView somaText = (TextView) findViewById(R.id.labelSoma);

		// Cria uma AsyncTask<Params, Progress, Result>
		AsyncTask<Integer, Integer, Integer> task = new AsyncTask<Integer,Integer, Integer>() {
			@Override
			protected void onPreExecute() {
				// Chamado antes de iniciar a thread
				// Voc pode utilizar este mtodo para exibir uma mensagem de aguarde ao usurio
			}
			@Override
			protected Integer doInBackground(Integer... params) {
				int a = params[0];
				int b = params[1];
				// Este cdigo executa automaticamente em uma thread
				// Faz o processamento em background
				int soma = a + b;
				for (int i = 1; i <= 10; i++) {
					// Informa o mtodo onProgressUpdate sobre o progresso da execuo
					publishProgress(i);
					Log.i("livro","set progress > " + i);
					try {
						// utilizado apenas para simular algo demorado
						Thread.sleep(200);
					} catch (InterruptedException e) {
					}
				}
				return soma;
			}
			@Override
			protected void onProgressUpdate(Integer... values) {
				super.onProgressUpdate(values);
				Integer progress = values[0];
				Log.i("livro","progress " + progress);
				somaText.setText(String.valueOf("Aguarde: " + progress));
			}
			protected void onPostExecute(Integer soma) {
				// Este cdigo executa automaticamente na thread principal (utilize para atualizar as views)
				//recebe a mensagem para atualizar a view
				somaText.setText(String.valueOf("Soma AsyncTaskParams: " + soma));
			};
			
		};
		task.execute(n1,n2);
	}
}
