package br.livro.android.cap14.pref;

import java.io.IOException;

import android.app.backup.BackupAgentHelper;
import android.app.backup.BackupDataInput;
import android.app.backup.BackupDataOutput;
import android.app.backup.SharedPreferencesBackupHelper;
import android.os.ParcelFileDescriptor;
import android.util.Log;

/**
 * Exemplo de BackupAgentHelper para as preferncias do usurio
 *  
 * @author Ricardo Lecheta
 * 
 */
public class ExemploBackupAgent extends BackupAgentHelper {

	@Override
	public void onBackup(ParcelFileDescriptor oldState, BackupDataOutput data, ParcelFileDescriptor newState) throws IOException {
		Log.v("livroandroid","BackupAgentHelper.onBackup");
		// A classe me implementa isso...
		super.onBackup(oldState, data, newState);
	}

	@Override
	public void onRestore(BackupDataInput data, int appVersionCode, ParcelFileDescriptor newState) throws IOException {
		Log.v("livroandroid","BackupAgentHelper.onRestore");
		// A classe me implementa isso...
		super.onRestore(data, appVersionCode, newState);
	}

	/**
	 * @see android.app.backup.BackupAgent#onCreate()
	 */
	public void onCreate() {
		// Cria um helper. A string "LivroAndroid"  a mesma chave utilizada
		// pelo SharedPreferences
		SharedPreferencesBackupHelper helper = new SharedPreferencesBackupHelper(this, "LivroAndroid");

		// Adiciona o helper no agente de backups
		addHelper("livroAndroid", helper);

		// Voc tambm pode criar um FileBackupHelper para fazer backup de
		// arquivos
		// FileBackupHelper file = new
		// FileBackupHelper(this,"nome_do_arquivo.txt");
	}
}