package br.livro.android.cap16.mapview;

import android.graphics.Color;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import br.livro.android.cap16.LatLng;
import br.livro.android.cap16.LatLngSete;
import br.livro.android.cap16.R;
import br.livro.android.cap16.overlay.BolaOverlay;

import com.google.android.maps.GeoPoint;
import com.google.android.maps.MapActivity;
import com.google.android.maps.MapController;
import com.google.android.maps.MapView;

/**
 * Permite digitar as coordenadas no formulrio e brincar
 * 
 * @author ricardo
 * 
 */
public class TelaFormCoordenadas extends MapActivity implements OnClickListener {
	private static final String CATEGORIA = "livro";
	private MapController controlador;

	private MapView mapa;
	private Button btAtualizarMapa;
	private Button btMoverPonto;
	private BolaOverlay bola;

	@Override
	protected void onCreate(Bundle icicle) {
		super.onCreate(icicle);

		setContentView(R.layout.form_coordenadas);

		mapa = (MapView) findViewById(R.id.mapa);

		btAtualizarMapa = (Button) findViewById(R.id.btAtualizarMapa);
		btAtualizarMapa.setOnClickListener(this);

		btMoverPonto = (Button) findViewById(R.id.btMoverPonto);
		btMoverPonto.setOnClickListener(this);

		mapa.setSatellite(true);
		mapa.setClickable(true);

		bola = new BolaOverlay(new LatLngSete(), Color.BLUE);
		mapa.getOverlays().add(bola);

		controlador = mapa.getController();
		controlador.setZoom(15);

		mapa.setBuiltInZoomControls(true);

		controlador.animateTo(new LatLngSete());

		mapa.invalidate();
	}

	public void onClick(View view) {
		EditText latitude = (EditText) findViewById(R.id.latitude);
		EditText longitude = (EditText) findViewById(R.id.longitude);

		double lat = Double.parseDouble(latitude.getText().toString());
		double lng = Double.parseDouble(longitude.getText().toString());

		GeoPoint p = new LatLng(lat, lng);

		Log.i(CATEGORIA, "Coordenada > " + p);

		if (view == btAtualizarMapa) {
			controlador.animateTo(p);
			mapa.invalidate();
		} else if (view == btMoverPonto) {
			bola.setGeoPoint(p);
			mapa.invalidate();
		}
	}

	@Override
	protected boolean isRouteDisplayed() {
		return false;
	}
}
