package br.livro.android.cap19.media;

import java.io.File;

import android.app.Activity;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.util.Log;
import android.widget.TextView;
import android.widget.Toast;

/**
 * Hello World que toca uma mp3 localizada na pasta /res/raw ou /data/local/tmp/ ou no /mnt/sdcard
 * 
 * @author ricardo
 * 
 */
public class ExemploMediaPlayer extends Activity {
	private static final String CATEGORIA = "livro";
	private MediaPlayer player;

	@Override
	protected void onCreate(Bundle b) {
		super.onCreate(b);

//		player = MediaPlayer.create(this, R.raw.linkin_park1);
//		player.start();

		try {
			/**
			 * Para testar no sdcard no emulador copie o arquivo linkin_park1.mp3 da pasta /res/raw
			 * para o sdcard do emulador.
			 * Isso pode ser feito na perspectiva DDMS, na janela File Explorer.
			 */

			player = new MediaPlayer();
//			player.setDataSource("/data/local/tmp/linkin_park1.mp3");

			// /mnt/sdcard/last_mohicans.3gp
			File sdcardDir = android.os.Environment.getExternalStorageDirectory();
			File file = new File(sdcardDir, "linkin_park1.mp3");
			Toast.makeText(this, file.getAbsolutePath(), Toast.LENGTH_SHORT).show();
			player.setDataSource(file.getAbsolutePath());

			player.prepare();
			player.start();
		} catch (Exception e) {
			Toast.makeText(this, "Erro: " + e.getMessage(), Toast.LENGTH_SHORT).show();
			Log.e(CATEGORIA,e.getMessage(),e);
		}

		TextView text = new TextView(this);
		text.setText("Exemplo mp3.");
		setContentView(text);
	}

	@Override
	protected void onDestroy() {
		super.onDestroy();
		if (player != null) {
			player.stop();
			player.release();
		}
	}
}
