package br.livroandroid.bluetooth.test;

import android.app.Activity;
import android.bluetooth.BluetoothAdapter;
import android.content.Intent;
import android.os.Bundle;
import android.widget.Toast;

/**
 * Verifica se o bluetooth est ligado
 * 
 * @author Ricardo Lecheta
 * 
 */
public class BluetoothCheckActivity extends Activity {
	protected static final String TAG = "livroandroid";
	protected BluetoothAdapter btfAdapter;

	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);

		// Bluetooth adapter
		btfAdapter = BluetoothAdapter.getDefaultAdapter();

		if (btfAdapter == null) {
			Toast.makeText(this, "Bluetooth no disponvel neste aparelho.", Toast.LENGTH_LONG).show();
			// Vamos fechar a activity neste caso
			finish();
		}
	}

	@Override
	protected void onResume() {
		super.onResume();

		// Se o bluetooth no est ligado
		if (btfAdapter.isEnabled()) {
			Toast.makeText(this, "Bluetooth est ligado!", Toast.LENGTH_LONG).show();
		} else {
			//  <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />
			Intent enableIntent = new Intent(BluetoothAdapter.ACTION_REQUEST_ENABLE);
			startActivityForResult(enableIntent, 0);
		}
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		super.onActivityResult(requestCode, resultCode, data);

		// Aqui voc pode conferir se o usurio ativou ou no o bluetooth
		if (resultCode != Activity.RESULT_OK) {
			Toast.makeText(this, "O bluetooth no foi ativado.", Toast.LENGTH_SHORT).show();
		}
	}
}
