package br.livroandroid.bluetooth.test;

import android.app.ListActivity;
import android.bluetooth.BluetoothAdapter;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;

/**
 * Exemplos de Bluetooth
 * 
 * @author rlecheta
 * 
 */
public class Menu extends ListActivity {

	private static final String[] ops = new String[] { "Verificar e ativar Bluetooth", "Devices pareados", "Encontrar device pelo endereo",
			"Buscar devices", "Ficar visvel", "Iniciar servidor - aguardar mensagem", "Sair" };

	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);

		int layout = android.R.layout.simple_list_item_1;
		ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this, layout, ops);
		this.setListAdapter(adaptador);
	}

	@Override
	protected void onListItemClick(ListView l, View v, int position, long id) {

		switch (position) {
			case 0:
				startActivity(new Intent(this, BluetoothCheckActivity.class));
				break;
			case 1:
				startActivity(new Intent(this, ListaPareadosActivity.class));
				break;
			case 2:
				startActivity(new Intent(this, BuscaPeloEnderecoActivity.class));
				break;
			case 3:
				startActivity(new Intent(this, BuscarDevicesActivity.class));
				break;
			case 4:
				// Garante que algum pode te encontrar
				Intent discoverableIntent = new Intent(BluetoothAdapter.ACTION_REQUEST_DISCOVERABLE);
				discoverableIntent.putExtra(BluetoothAdapter.EXTRA_DISCOVERABLE_DURATION, 300);
				startActivity(discoverableIntent);
				break;
			case 5:
				startActivity(new Intent(this, BluetoothServidorActivity.class));
				break;
			default:
				finish();
		}
	}
}