package br.livroandroid.tts.test;

import java.io.File;

import android.app.Activity;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.speech.tts.TextToSpeech;
import android.speech.tts.TextToSpeech.OnInitListener;
import android.widget.Toast;
import br.livroandroid.utils.SDCardUtils;

/**
 * <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
 * 
 * @author Ricardo Lecheta
 * 
 */
public class HelloArquivoTTS extends Activity implements OnInitListener {

	private TextToSpeech tts;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		// Inicializa a engine do TTS
		tts = new TextToSpeech(this, this);
	}

	@Override
	public void onInit(int status) {
		if(status == TextToSpeech.SUCCESS) {

			// Sintetiza a voz para arquivo
			File file = SDCardUtils.getSdCardFile("temp", "livro-tts.wav");
			tts.synthesizeToFile("Hello", null, file.getAbsolutePath());
			Toast.makeText(this, "Arquivo salvo: " + file, Toast.LENGTH_SHORT).show();
			
			try {
				// J que salvamos o arquivo, vamos tocar o som!
				MediaPlayer mp = new MediaPlayer();
				mp.setDataSource(file.getAbsolutePath());
				mp.prepare();
				mp.start();
			} catch (Exception e) {
				Toast.makeText(this, "Erro ao tocar som: " + e.getMessage(), Toast.LENGTH_SHORT).show();
			}
		}
	}
	
	@Override
	protected void onDestroy() {
		super.onDestroy();

		// Libera os recursos da engine do TTS 
		tts.shutdown();
	}
}
