package br.livroandroid.tts.test;

import java.util.ArrayList;
import java.util.List;

import android.app.Activity;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.content.pm.ResolveInfo;
import android.os.Bundle;
import android.speech.RecognizerIntent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

/**
 * @author Ricardo Lecheta
 * 
 */
public class HelloSTT_Intent extends Activity {

	protected ListView listView;

	/**
	 * Called with the activity is first created.
	 */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		setContentView(R.layout.activity_hello_stt);

		View btSpeak = findViewById(R.id.btSpeak);

		listView = (ListView) findViewById(R.id.list);

		// Verifica se o Android suporta a intent de reconhecimento de voz
		PackageManager pm = getPackageManager();
		List<ResolveInfo> activities = pm.queryIntentActivities(new Intent(RecognizerIntent.ACTION_RECOGNIZE_SPEECH), 0);
		if (activities.size() != 0) {
			btSpeak.setOnClickListener(onClickSpeak());
			btSpeak.setEnabled(true);
		} else {
			Toast.makeText(this, "Reconhecimento de voz indisponvel", Toast.LENGTH_SHORT).show();
		}
	}

	protected OnClickListener onClickSpeak() {
		return new OnClickListener() {
			@Override
			public void onClick(View v) {
				Intent intent = getRecognizerIntent();
				startActivityForResult(intent, 0);
			}
		};
	}

	// Intent que dispara o reconhecimento de voz
	protected Intent getRecognizerIntent() {
		Intent intent = new Intent(RecognizerIntent.ACTION_RECOGNIZE_SPEECH);
		intent.putExtra(RecognizerIntent.EXTRA_LANGUAGE_MODEL, RecognizerIntent.LANGUAGE_MODEL_FREE_FORM);
		intent.putExtra(RecognizerIntent.EXTRA_CALLING_PACKAGE, getPackageName());
		intent.putExtra(RecognizerIntent.EXTRA_PROMPT, "Fale algo");
		intent.putExtra(RecognizerIntent.EXTRA_LANGUAGE, "pt-BR");
		intent.putExtra(RecognizerIntent.EXTRA_MAX_RESULTS, 10);
		return intent;
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		if (resultCode == RESULT_OK) {
			// Recupera as possvels palavras que foram pronunciadas
			ArrayList<String> words = data.getStringArrayListExtra(RecognizerIntent.EXTRA_RESULTS);
			listView.setAdapter(new ArrayAdapter<String>(this, android.R.layout.simple_list_item_1, words));
		}
	}
}