package br.livroandroid.tts.test;

import java.util.ArrayList;

import android.content.Intent;
import android.os.Bundle;
import android.speech.SpeechRecognizer;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.ArrayAdapter;

/**
 * <uses-permission android:name="android.permission.RECORD_AUDIO"/>
 * 
 * @author Ricardo Lecheta
 *
 */
public class HelloSTT_Listener extends HelloSTT_Intent {
	// Reconhecedor de Voz
	private SpeechRecognizer stt;
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		// Cria o SpeechRecognizer e configura o listener
		stt = SpeechRecognizer.createSpeechRecognizer(this);
		stt.setRecognitionListener(new BaseRecognitionListener(){
			public void onResults(Bundle results) {
				super.onResults(results);
				// Recupera as possvels palavras que foram pronunciadas
				ArrayList<String> words = results.getStringArrayList(SpeechRecognizer.RESULTS_RECOGNITION);
				listView.setAdapter(new ArrayAdapter<String>(getBaseContext(), android.R.layout.simple_list_item_1, words));
			}
		});
	}
	@Override
	protected OnClickListener onClickSpeak() {
		return new OnClickListener() {
			@Override
			public void onClick(View v) {
				// Ao clicar no boto recupera a intent e inicia o reconhecimento de voz
				Intent intent = getRecognizerIntent();
				stt.startListening(intent);
			}
		};
	}
	@Override
	protected void onDestroy() {
		super.onDestroy();
		// Libera os recursos e finaliza o STT
		stt.stopListening();
		stt.destroy();
	}
}
