package br.livroandroid.tts.test;

import java.io.File;

import android.app.Activity;
import android.content.Context;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.speech.tts.TextToSpeech;
import android.speech.tts.TextToSpeech.OnInitListener;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.TextView;
import android.widget.Toast;
import br.livroandroid.utils.SDCardUtils;

/**
 * @author Ricardo Lecheta
 * 
 */
public class HelloTTSForm extends Activity implements OnInitListener {

	protected TextToSpeech tts;
	protected TextView t;
	protected View btSpeak;
	protected View btSalvar;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_hello_form);

		btSpeak = findViewById(R.id.btSpeak);
		btSpeak.setOnClickListener(onClickSpeak());
		btSalvar = findViewById(R.id.btSalvar);
		btSalvar.setOnClickListener(onClickSalvar());
		
		t = (TextView) findViewById(R.id.tMsg);
		
		tts = new TextToSpeech(this, this);
		
	}

	@Override
	public void onInit(int status) {
		if(status == TextToSpeech.SUCCESS) {
			Toast.makeText(this, "TTS inicializado com sucesso!", Toast.LENGTH_SHORT).show();
			// TTS inicializado com sucesso
			btSpeak.setEnabled(true);
			btSalvar.setEnabled(true);
		}
	}
	private OnClickListener onClickSpeak() {
		return new OnClickListener() {
			@Override
			public void onClick(View v) {
				String s = t.getText().toString(); 
				tts.speak(s, TextToSpeech.QUEUE_FLUSH, null);
			}
		};
	}
	private OnClickListener onClickSalvar() {
		return new OnClickListener() {
			@Override
			public void onClick(View v) {
				String s = t.getText().toString(); 
				// Sintetiza a voz para arquivo
				File file = SDCardUtils.getSdCardFile("temp", "livro-tts.wav");
				tts.synthesizeToFile(s, null, file.getAbsolutePath());
				Toast.makeText(getContext(), "Arquivo salvo: " + file, Toast.LENGTH_SHORT).show();	
				try {
					// J que salvamos o arquivo, vamos tocar o som!
					MediaPlayer mp = new MediaPlayer();
					mp.setDataSource(file.getAbsolutePath());
					mp.prepare();
					mp.start();
				} catch (Exception e) {
					Toast.makeText(getContext(), "Erro ao tocar som: " + e.getMessage(), Toast.LENGTH_SHORT).show();
				}	
			}
		};
	}

	private Context getContext() {
		return this;
	}
	@Override
	protected void onDestroy() {
		super.onDestroy();

		// Libera os recursos da engine do TTS 
		tts.shutdown();
	}
}
