package br.livroandroid.tts.test;

import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.speech.tts.TextToSpeech;
import android.view.View;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

/**
 * Exemplos de TTS (Text-To-Speech) e STT (Speech-To-Text)
 * 
 * @author rlecheta
 * 
 */
public class Menu extends ListActivity {

	private static final String[] ops = new String[] { "Check TTS", "Hello", "Hello Form", "Bonjour", "Bom dia", "STT Intent",
			"STT Listener", "Sair" };

	@Override
	public void onCreate(Bundle icicle) {
		super.onCreate(icicle);

		int layout = android.R.layout.simple_list_item_1;
		ArrayAdapter<String> adaptador = new ArrayAdapter<String>(this, layout, ops);
		this.setListAdapter(adaptador);
	}

	@Override
	protected void onListItemClick(ListView l, View v, int position, long id) {

		switch (position) {
		case 0:
			Intent checkIntent = new Intent();
			checkIntent.setAction(TextToSpeech.Engine.ACTION_CHECK_TTS_DATA);
			startActivityForResult(checkIntent, 0);
			break;
		case 1:
			startActivity(new Intent(this, HelloTTS.class));
			break;
		case 2:
			startActivity(new Intent(this, HelloTTSForm.class));
			break;
		case 3:
			startActivity(new Intent(this, HelloTTS_France.class));
			break;
		case 4:
			startActivity(new Intent(this, HelloTTS_PtBR.class));
			break;
		case 5:
			startActivity(new Intent(this, HelloSTT_Intent.class));
			break;
		case 6:
			startActivity(new Intent(this, HelloSTT_Listener.class));
			break;
		default:
			finish();
		}
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		super.onActivityResult(requestCode, resultCode, data);
		if (resultCode == TextToSpeech.Engine.CHECK_VOICE_DATA_PASS) {
			Toast.makeText(this, "Engine do TTS est preparada!", Toast.LENGTH_SHORT).show();
		} else {
			// Solicita para instalar os pacote de voz
			Intent installIntent = new Intent();
			installIntent.setAction(TextToSpeech.Engine.ACTION_INSTALL_TTS_DATA);
			startActivity(installIntent);
		}
	}
}